Index: main/waeup.sirp/trunk/src/waeup/sirp/students/student.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/student.py	(revision 7674)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/student.py	(revision 7677)
@@ -28,5 +28,5 @@
 from waeup.sirp.interfaces import (
     IObjectHistory, IUserAccount, IFileStoreNameChooser, IFileStoreHandler,
-    ISIRPUtils, CLEARANCE)
+    ISIRPUtils, CLEARANCE, registration_states_vocab)
 from waeup.sirp.image import SIRPImageFile
 from waeup.sirp.imagestorage import DefaultFileStoreHandler
@@ -78,4 +78,10 @@
     def state(self):
         state = IWorkflowState(self).getState()
+        return state
+
+    @property
+    def translated_state(self):
+        state = registration_states_vocab.getTermByToken(
+            self.state).title
         return state
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py	(revision 7674)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py	(revision 7677)
@@ -20,8 +20,8 @@
     Transition(
         transition_id = 'create',
-        title = 'Create student',
+        title = _('Create student'),
         source = None,
         condition = NullCondition,
-        msg = 'Student record created',
+        msg = _('Student record created'),
         destination = CREATED),
 
@@ -29,5 +29,5 @@
         transition_id = 'admit',
         title = _('Admit student'),
-        msg = 'Student admitted',
+        msg = _('Student admitted'),
         source = CREATED,
         destination = ADMITTED),
@@ -35,6 +35,6 @@
     Transition(
         transition_id = 'reset1',
-        title = 'Reset student',
-        msg = 'Student record reset',
+        title = _('Reset student'),
+        msg = _('Student record reset'),
         source = ADMITTED,
         destination = CREATED),
@@ -42,6 +42,6 @@
     Transition(
         transition_id = 'start_clearance',
-        title = 'Start clearance',
-        msg = 'Clearance started',
+        title = _('Start clearance'),
+        msg = _('Clearance started'),
         source = ADMITTED,
         destination = CLEARANCE),
@@ -49,6 +49,6 @@
     Transition(
         transition_id = 'reset2',
-        title = 'Reset to admitted',
-        msg = "Student record reset to 'admitted'",
+        title = _('Reset to admitted'),
+        msg = _("Student record reset to 'admitted'"),
         source = CLEARANCE,
         destination = ADMITTED),
@@ -56,6 +56,6 @@
     Transition(
         transition_id = 'request_clearance',
-        title = 'Request clearance',
-        msg = 'Clearance requested',
+        title = _('Request clearance'),
+        msg = _('Clearance requested'),
         source = CLEARANCE,
         destination = REQUESTED),
@@ -63,6 +63,6 @@
     Transition(
         transition_id = 'reset3',
-        title = 'Reset to clearance',
-        msg = "Student record reset to 'clearance'",
+        title = _('Reset to clearance'),
+        msg = _("Student record reset to 'clearance'"),
         source = REQUESTED,
         destination = CLEARANCE),
@@ -70,6 +70,6 @@
     Transition(
         transition_id = 'clear',
-        title = 'Clear student',
-        msg = 'Cleared',
+        title = _('Clear student'),
+        msg = _('Cleared'),
         source = REQUESTED,
         destination = CLEARED),
@@ -77,6 +77,6 @@
     Transition(
         transition_id = 'reset4',
-        title = 'Reset to clearance',
-        msg = "Student record reset to 'clearance'",
+        title = _('Reset to clearance'),
+        msg = _("Student record reset to 'clearance'"),
         source = CLEARED,
         destination = CLEARANCE),
@@ -84,6 +84,6 @@
     Transition(
         transition_id = 'pay_first_school_fee',
-        title = 'Pay school fee',
-        msg = 'School fee paid',
+        title = _('Pay school fee'),
+        msg = _('School fee paid'),
         source = CLEARED,
         destination = PAID),
@@ -91,6 +91,6 @@
     Transition(
         transition_id = 'reset5',
-        title = 'Reset to cleared',
-        msg = "Student record reset to 'cleared'",
+        title = _('Reset to cleared'),
+        msg = _("Student record reset to 'cleared'"),
         source = PAID,
         destination = CLEARED),
@@ -98,6 +98,6 @@
     Transition(
         transition_id = 'pay_school_fee',
-        title = 'Pay school fee',
-        msg = 'School fee paid',
+        title = _('Pay school fee'),
+        msg = _('School fee paid'),
         source = RETURNING,
         destination = PAID),
@@ -105,6 +105,6 @@
     Transition(
         transition_id = 'reset6',
-        title = 'Reset to returning',
-        msg = "Student record reset to 'returning'",
+        title = _('Reset to returning'),
+        msg = _("Student record reset to 'returning'"),
         source = PAID,
         destination = RETURNING),
@@ -112,6 +112,6 @@
     Transition(
         transition_id = 'register_courses',
-        title = 'Register courses',
-        msg = 'Courses registered',
+        title = _('Register courses'),
+        msg = _('Courses registered'),
         source = PAID,
         destination = REGISTERED),
@@ -119,6 +119,6 @@
     Transition(
         transition_id = 'reset7',
-        title = 'Reset to paid',
-        msg = "Student record reset to 'paid'",
+        title = _('Reset to paid'),
+        msg = _("Student record reset to 'paid'"),
         source = REGISTERED,
         destination = PAID),
@@ -126,6 +126,6 @@
     Transition(
         transition_id = 'validate_courses',
-        title = 'Validate courses',
-        msg = 'Courses validated',
+        title = _('Validate courses'),
+        msg = _('Courses validated'),
         source = REGISTERED,
         destination = VALIDATED),
@@ -133,6 +133,6 @@
     Transition(
         transition_id = 'reset8',
-        title = 'Reset to paid',
-        msg = "Student record reset to 'paid'",
+        title = _('Reset to paid'),
+        msg = _("Student record reset to 'paid'"),
         source = VALIDATED,
         destination = PAID),
@@ -140,6 +140,6 @@
     Transition(
         transition_id = 'return',
-        title = 'Return',
-        msg = 'Returned',
+        title = _('Return'),
+        msg = _('Returned'),
         source = VALIDATED,
         destination = RETURNING),
@@ -147,6 +147,6 @@
     Transition(
         transition_id = 'reset9',
-        title = 'Reset to validated',
-        msg = "Student record reset to 'validated'",
+        title = _('Reset to validated'),
+        msg = _("Student record reset to 'validated'"),
         source = RETURNING,
         destination = VALIDATED),
